Bug 1130524 - [abrt] dnssec-trigger: subprocess.py:542:check_call:CalledProcessError: Command '['unbound-control', 'flush_zone', '.']' returned non-zero exit status 1
Summary: [abrt] dnssec-trigger: subprocess.py:542:check_call:CalledProcessError: Comma...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f86261ff9f26f226290ea78dc4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 13:00 UTC by Moez Roy
Modified: 2015-01-21 15:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 12:13:33 UTC


Attachments (Terms of Use)
File: backtrace (976 bytes, text/plain)
2014-08-15 13:00 UTC, Moez Roy
no flags Details
File: environ (1.34 KB, text/plain)
2014-08-15 13:00 UTC, Moez Roy
no flags Details

Description Moez Roy 2014-08-15 13:00:11 UTC
Version-Release number of selected component:
dnssec-trigger-0.12-13.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/libexec/dnssec-trigger-script --update
dso_list:       python-libs-2.7.5-13.fc20.x86_64
executable:     /usr/libexec/dnssec-trigger-script
kernel:         3.15.9-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
subprocess.py:542:check_call:CalledProcessError: Command '['unbound-control', 'flush_zone', '.']' returned non-zero exit status 1

Traceback (most recent call last):
  File "/usr/libexec/dnssec-trigger-script", line 463, in <module>
    Application(sys.argv).run()
  File "/usr/libexec/dnssec-trigger-script", line 362, in run
    self.method()
  File "/usr/libexec/dnssec-trigger-script", line 410, in run_update
    self.run_update_global_forwarders()
  File "/usr/libexec/dnssec-trigger-script", line 422, in run_update_global_forwarders
    subprocess.check_call(["unbound-control", "flush_zone", "."])
  File "/usr/lib64/python2.7/subprocess.py", line 542, in check_call
    raise CalledProcessError(retcode, cmd)
CalledProcessError: Command '['unbound-control', 'flush_zone', '.']' returned non-zero exit status 1

Local variables in innermost frame:
cmd: ['unbound-control', 'flush_zone', '.']
retcode: 1
popenargs: (['unbound-control', 'flush_zone', '.'],)
kwargs: {}

Comment 1 Moez Roy 2014-08-15 13:00:13 UTC
Created attachment 927082 [details]
File: backtrace

Comment 2 Moez Roy 2014-08-15 13:00:14 UTC
Created attachment 927083 [details]
File: environ

Comment 3 Pavel Šimerda (pavlix) 2014-09-23 08:17:10 UTC
The command in the script should normally be always successful. I would need to see the output of the following commands run by root:

unbound-control status

unbound-control flush_zone .

/usr/libexec/dnssec-trigger-script --debug --update

Comment 4 Wilhelm.Buchmueller 2014-10-17 08:13:26 UTC
Another user experienced a similar problem:

yum install dnssec-trigger
systemctl enable unbound unbound-keygen
systemctl start unbound dnssec-triggerd

reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/libexec/dnssec-trigger-script --update
dso_list:       python-libs-2.7.5-14.fc20.i686
executable:     /usr/libexec/dnssec-trigger-script
kernel:         3.16.4-200.fc20.i686+PAE
package:        dnssec-trigger-0.12-13.fc20
reason:         subprocess.py:542:check_call:CalledProcessError: Command '['unbound-control', 'flush_zone', '.']' returned non-zero exit status 1
runlevel:       N 5
type:           Python
uid:            0

Comment 5 Pavel Šimerda (pavlix) 2014-11-26 13:15:29 UTC
Still need additional info for this exceptional state.

Comment 6 Wilhelm.Buchmueller 2014-12-13 10:04:39 UTC
(In reply to Pavel Šimerda (pavlix) from comment #5)
> Still need additional info for this exceptional state.

Sorry, cannot provide any additional info.

Comment 7 Pavel Šimerda (pavlix) 2015-01-19 12:13:33 UTC
Please reopen if you have new information.

Comment 8 Pavel Šimerda (pavlix) 2015-01-21 15:41:19 UTC
Suspects for being duplicate to this one:

https://bugzilla.redhat.com/show_bug.cgi?id=1147705
https://bugzilla.redhat.com/show_bug.cgi?id=1183159

The good thing is that both are either fixed or going to be fixed very soon.


Note You need to log in before you can comment on or make changes to this bug.